Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2119713 - nodejs:{14,16,18} FTBFS: libuv fails tests tcp_close_while_connecting and tcp_connect_timeout
Summary: nodejs:{14,16,18} FTBFS: libuv fails tests tcp_close_while_connecting and tcp...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: nodejs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL: https://mbs.fedoraproject.org/module-...
Whiteboard:
Depends On:
Blocks: 1998625 F38FTBFS F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-19 09:24 UTC by Petr Pisar
Modified: 2023-04-11 08:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-07 15:47:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2022-08-19 09:24:44 UTC
nodejs:18 fails to build in Fedora 38 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15043> because libuv component fails to build on some architectures <https://koji.fedoraproject.org/koji/taskinfo?taskID=90996592> because tests fail:

ok 293 - tcp_close_reset_client_after_shutdown
not ok 294 - tcp_close_while_connecting
# exit code 134
# Output from process `tcp_close_while_connecting`:
# Assertion failed in test/test-tcp-close-while-connecting.c on line 45: status == UV_ECANCELED || status == UV_ENETUNREACH
ok 295 - tcp_connect_error_after_write
ok 296 - tcp_connect_error_fault
not ok 297 - tcp_connect_timeout
# exit code 134
# Output from process `tcp_connect_timeout`:
# Assertion failed in test/test-tcp-connect-timeout.c on line 42: status == UV_ECANCELED
ok 298 - tcp_create_early

Comment 1 Petr Pisar 2022-08-24 13:49:59 UTC
The same problem is in nodejs:16 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15050>.

Comment 2 Petr Pisar 2022-08-25 07:40:54 UTC
The same problem with nodejs:14 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15207>.

Comment 3 Petr Pisar 2023-02-15 07:48:28 UTC
The same problem with nodejs:16 in Fedora 39 <https://mbs.fedoraproject.org/module-build-service/2/module-builds/16060>.

Comment 4 Stephen Gallagher 2023-04-07 15:47:19 UTC
These modules have been replaced by non-modular RPMs.

Comment 5 Petr Pisar 2023-04-11 08:52:25 UTC
Then please retire them properly. I.e. shorten SLA date in PDC <https://pdc.fedoraproject.org/rest_api/v1/component-branch-slas/?branch_type=module&global_component=nodejs&branch=16> with a ticket for relengs <https://pagure.io/releng/new_issue?template=module_eol>.


Note You need to log in before you can comment on or make changes to this bug.